org.gradle.api.plugins.quality

## Class CodeQualityExtension

- java.lang.Object
- - org.gradle.api.plugins.quality.CodeQualityExtension

- Direct Known Subclasses:
    CheckstyleExtension, CodeNarcExtension, FindBugsExtension, JDependExtension, PmdExtension

      public abstract class CodeQualityExtension
      extends Object

  Base Code Quality Extension.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeQualityExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getReportsDir()` The directory where reports will be generated.
    `Collection<SourceSet>` | `getSourceSets()` The source sets to be analyzed as part of the `check` and `build` tasks.
    `String` | `getToolVersion()` The version of the code quality tool to be used.
    `boolean` | `isIgnoreFailures()` Whether or not to allow the build to continue if there are warnings.
    `void` | `setIgnoreFailures(boolean ignoreFailures)`
    `void` | `setReportsDir(File reportsDir)`
    `void` | `setSourceSets(Collection<SourceSet> sourceSets)`
    `void` | `setToolVersion(String toolVersion)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeQualityExtension

          public CodeQualityExtension()

  - ### Method Detail

    - #### getToolVersion

          public String getToolVersion()

      The version of the code quality tool to be used.

    - #### setToolVersion

          public void setToolVersion(String toolVersion)

    - #### getSourceSets

          public Collection<SourceSet> getSourceSets()

      The source sets to be analyzed as part of the `check` and `build` tasks.

    - #### setSourceSets

          public void setSourceSets(Collection<SourceSet> sourceSets)

    - #### isIgnoreFailures

          public boolean isIgnoreFailures()

      Whether or not to allow the build to continue if there are warnings. Example: ignoreFailures = true

    - #### setIgnoreFailures

          public void setIgnoreFailures(boolean ignoreFailures)

    - #### getReportsDir

          public File getReportsDir()

      The directory where reports will be generated.

    - #### setReportsDir

          public void setReportsDir(File reportsDir)